phyclust.edist {phyclust} | R Documentation

## Evolution Distance of Sequences

### Description

This computes pair wised evolution distance of sequences.

### Usage

    phyclust.edist(X, edist.model = .edist.model[1])

### Arguments

`X` | nid/sid matrix with N rows/sequences and L columns/sites.
`edist.model` | evolution distance model.

### Details

`X` should be a numerical matrix containing sequence data that can be transfered by `code2nid` or `code2sid`.

### Value

This function returns a object with class `dist`.

### ToDo(s)

- incorporate `dist.dna` of ape.

### Author(s)

Wei-Chen Chen wccsnow@gmail.com

### References

Phylogenetic Clustering Website: https://snoweye.github.io/phyclust/

### See Also

`.edist.model`.

### Examples

    ## Not run:
    library(phyclust, quiet = TRUE)

    X <- rbind(c(0, 2, 1, 3, 0, 2, 2, 0, 3, 2, 2),
               c(0, 0, 1, 3, 2, 2, 1, 0, 3, 1, 2),
               c(0, 2, 1, 1, 0, 2, 1, 3, 0, 0, 1),
               c(2, 2, 1, 1, 0, 0, 2, 3, 0, 2, 1),
               c(2, 2, 1, 1, 0, 0, 2, 3, 1, 2, 0))
    (ret <- phyclust.edist(X, edist.model = "D_HAMMING"))
    str(ret)
    as.matrix(ret)
    plot(nj(ret), type = "u", no.margin = TRUE)

    ## End(Not run)

[Package phyclust version 0.1-25 Index]